package com.op.wms.service;

import java.util.List;
import com.op.wms.domain.BaseShiftsT;

/**
 * 班次管理Service接口
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public interface IBaseShiftsTService {
	/**
	 * 查询班次管理
	 * 
	 * @param shiftId 班次管理主键
	 * @return 班次管理
	 */
	public BaseShiftsT selectBaseShiftsTByShiftId(String shiftId);

	/**
	 * 查询班次管理列表
	 * 
	 * @param baseShiftsT 班次管理
	 * @return 班次管理集合
	 */
	public List<BaseShiftsT> selectBaseShiftsTList(BaseShiftsT baseShiftsT);

	/**
	 * 新增班次管理
	 * 
	 * @param baseShiftsT 班次管理
	 * @return 结果
	 */
	public int insertBaseShiftsT(BaseShiftsT baseShiftsT);

	/**
	 * 修改班次管理
	 * 
	 * @param baseShiftsT 班次管理
	 * @return 结果
	 */
	public int updateBaseShiftsT(BaseShiftsT baseShiftsT);

	/**
	 * 批量删除班次管理
	 * 
	 * @param shiftIds 需要删除的班次管理主键集合
	 * @return 结果
	 */
	public int deleteBaseShiftsTByShiftIds(String[] shiftIds);

	/**
	 * 删除班次管理信息
	 * 
	 * @param shiftId 班次管理主键
	 * @return 结果
	 */
	public int deleteBaseShiftsTByShiftId(String shiftId);
}
